> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pilotstatus.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Enviar reação

> Reage a uma mensagem existente com um emoji.



## OpenAPI

````yaml openapi.evolution-v2.pt.json POST /message/sendReaction/{instance}
openapi: 3.1.0
info:
  title: Evolution V2 Layer
  version: 1.0.0
  description: >-
    Camada de API do Pilot Status — Evolution V2. Base URL
    `https://pilotstatus.com.br/api/layer/evolution-v2`. Autentique com o header
    `apikey` (sua chave `ps_` do Pilot Status). Endpoints de instância/sessão
    NÃO estão disponíveis na camada.
servers:
  - url: https://pilotstatus.com.br/api/layer/evolution-v2
security:
  - apiKey: []
tags:
  - name: Chamada e Business
  - name: Chat
  - name: Grupo
  - name: Etiqueta (Label)
  - name: Mensagem
  - name: Perfil
  - name: Configurações e Proxy
  - name: Armazenamento (S3)
  - name: Template
paths:
  /message/sendReaction/{instance}:
    post:
      tags:
        - Mensagem
      summary: Enviar reação
      description: Reage a uma mensagem existente com um emoji.
      operationId: post__message_sendReaction_instance
      parameters:
        - name: instance
          in: path
          required: true
          schema:
            type: string
          description: O nome de exibição do número no painel do Pilot Status.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                key:
                  type: object
                  description: >-
                    Chave da mensagem alvo (`id`, `remoteJid`, `fromMe` — todos
                    obrigatórios).
                  example:
                    id: BAE5F6A1B2C3D4E5
                    remoteJid: 5511999999999@s.whatsapp.net
                    fromMe: false
                reaction:
                  type: string
                  description: Emoji com o qual reagir.
                  example: 👍
              required:
                - key
                - reaction
      responses:
        '200':
          description: Sucesso — corpo de resposta nativo do provedor.
          content:
            application/json:
              schema:
                type: object
                description: >-
                  Sent an emoji reaction to an existing message. Returns the
                  persisted Baileys messageRaw envelope containing a
                  reactionMessage that points at the reacted message key.
                properties:
                  key:
                    type: object
                    description: Key of the reaction message itself.
                    properties:
                      remoteJid:
                        type: string
                      fromMe:
                        type: boolean
                      id:
                        type: string
                  pushName:
                    type: string
                  status:
                    type: string
                    enum:
                      - ERROR
                      - PENDING
                      - SERVER_ACK
                      - DELIVERY_ACK
                      - READ
                      - PLAYED
                  message:
                    type: object
                    properties:
                      reactionMessage:
                        type: object
                        properties:
                          key:
                            type: object
                            description: Key of the message being reacted to.
                            properties:
                              remoteJid:
                                type: string
                              fromMe:
                                type: boolean
                              id:
                                type: string
                          text:
                            type: string
                            description: >-
                              Reaction emoji, or empty string to remove the
                              reaction.
                  contextInfo:
                    type:
                      - object
                      - 'null'
                  messageType:
                    type: string
                  messageTimestamp:
                    type: integer
                  instanceId:
                    type: string
                  source:
                    type: string
              example:
                key:
                  remoteJid: 5511999999999@s.whatsapp.net
                  fromMe: true
                  id: 3EB0REACTION5566778899
                pushName: Você
                status: PENDING
                message:
                  reactionMessage:
                    key:
                      remoteJid: 5511999999999@s.whatsapp.net
                      fromMe: false
                      id: 3EB0ORIGINALMSG112233
                    text: 👍
                contextInfo: null
                messageType: reactionMessage
                messageTimestamp: 1720483680
                instanceId: a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d
                source: web
        default:
          description: Erro — erro do provedor ou da camada.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                  error:
                    type: string
                  message:
                    type: string
                  response:
                    type: object
              example:
                status: 400
                error: Bad Request
                message: Invalid payload
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: apikey
      description: >-
        Your Pilot Status API key (ps_...). Evolution GO also accepts
        `Authorization: Bearer <key>`.

````